Subject: bug#16028: 24.3.50; Latest build completely breaks my thumnail frames code

From: Eli Zaretskii <[email-masked]>
Date: Mon, 09 Dec 2013 19:14:29 +0200

> Date: Sun, 08 Dec 2013 18:54:06 +0100
> From: martin rudalics <[email-masked]>
> CC: Eli Zaretskii <[email-masked]>, [email-masked]
> 
>  > I tried again with your recipe and a build with your latest try (from
>  > Juanma).  No change in symptoms, unfortunately.  I tried your recipe,
>  > both with and without the condition-case wrapper.  `my-counter' = 0 still.
> 
> I have no more ideas.  For some reason Emacs either refuses to redisplay
> the frame or insists on thinking that it still has the same size and no
> size change is needed.

If no one beats me to it, I will try to look into this in a day or
two.

> Maybe it's some additional hook you run.

Does this mean that the following recipe works for you?

  emacs -Q
  M-x load-file RET frame-fns.el RET
  M-x load-file RET frame-cmds.el RET
  M-x load-file RET thumb-frm.el RET
  C-z

It doesn't work for me here, with today's trunk.

If this doesn't work for you, then what hooks did you have in mind?